Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining.weaver
Class LabelToLineNumberVisitor

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          org.codehaus.aspectwerkz.transform.inlining.weaver.LabelToLineNumberVisitor

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public class LabelToLineNumberVisitor

extends org.objectweb.asm.ClassAdapter

Author:
  Alexandre Vasseur

Field Summary

Fields inherited from class org.objectweb.asm.ClassAdapter
`cv`

Constructor Summary
`LabelToLineNumberVisitor(org.objectweb.asm.ClassVisitor cv, Context ctx)`

Method Summary
`org.objectweb.asm.CodeVisitor` | `visitMethod(int i, String s, String s1, String[] strings, org.objectweb.asm.Attribute attribute)`

Methods inherited from class org.objectweb.asm.ClassAdapter
`visit, visitAttribute, visitEnd, visitField, visitInnerClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelToLineNumberVisitor

    public LabelToLineNumberVisitor(org.objectweb.asm.ClassVisitor cv,
                                    Context ctx)

Method Detail

### visitMethod

    public org.objectweb.asm.CodeVisitor visitMethod(int i,
                                                     String s,
                                                     String s1,
                                                     String[] strings,
                                                     org.objectweb.asm.Attribute attribute)

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitMethod` in class `org.objectweb.asm.ClassAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.